%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdebase

%define pamservice kde2
Name: %{pkg}2
Icon: kde-icon.xpm
URL: http://www.kde.org
Summary: K Desktop Environment - core files
Version: 1.93
Release: 3
Epoch: 6
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{pkg}-%{version}.tar.bz2
Source1: KDE2.session.gnome
Patch0: kdebase-2.0-redhat.patch
Patch1: kdebase-1.1-waitkdm.patch
Patch2: kdebase-key.patch
Obsoletes: kdpms
Group: User Interface/Desktops
Copyright: GPL
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Requires: kdesupport2 /etc/X11/xdm/Xsession
Prereq: /sbin/ldconfig
Prefix: /usr/lib/kde2
BuildPrereq: qt-devel >= 2.2.0, kdesupport2-devel
ExcludeArch: ia64
Obsoletes: kdebase2-3d-screensavers

%description
Core applications for the K Desktop Environment.  Included are: kdm
(replacement for xdm), kwin (window manager), konqueror (filemanager, web
browser, ftp client, ...), konsole (xterm replacement), kpanel
(application starter and desktop pager), kaudio (audio server),
kdehelp (viewer for kde help files, info and man pages), kthememgr
(system for managing alternate theme packages) plus other KDE
components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit, kappfinder).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{pkg}-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .waitkdm
%patch2 -p1 -b .key

make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifnarch alpha
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG" \
%else
CFLAGS="-O0" CXXFLAGS="-O0" \
%endif
./configure  --prefix=%{prefix} \
	--with-xdmdir=%{_sysconfdir}/X11/xdm \
	--with-pam=kde2 \
	--without-shadow \
	--disable-shadow \
	--with-motif-includes=none \
	--with-motif-libraries=none

make -j $CPUS -C ksysguard CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
make -j $CPUS

%install
export PATH=$PATH:/usr/X11R6/bin
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install
for i in $RPM_BUILD_ROOT%{prefix}/bin/*; do
  strip -R .comment $i &>/dev/null || :
done

# make kcheckpass suid root
chmod 4755 $RPM_BUILD_ROOT%{prefix}/bin/kcheckpass

# remove SUID bit from konsole_grantpty
chmod 0755 $RPM_BUILD_ROOT%{prefix}/bin/konsole_grantpty

#install pam configuration file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 kde.pamd $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}

# remove /etc/X11/xdm, It's ready in XFree86-xdm
# kdm and xdm will share the xdm here
rm -rf $RPM_BUILD_ROOT/etc/X11/xdm

# fix kappfinder script for relocatability
{
	pushd $RPM_BUILD_ROOT%{prefix}/bin
	cp kappfinder kappfinder.temp
	sed -e 's.\$(prefix).\$KDEDIR.g' kappfinder.temp > kappfinder
	rm -f kappfinder.temp
	popd
}

# make symlink for our applnk directory and GNOME directory
#{
#	pushd $RPM_BUILD_ROOT%{prefix}/share/applnk
#	mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk
#	cat > $RPM_BUILD_ROOT/etc/X11/applnk/.directory << EOF
# KDE Config File
#[KDE Desktop Entry]
#Icon=/usr/share/pixmaps/redhat/shadowman-round-32.xpm
#MiniIcon=/usr/share/pixmaps/redhat/shadowman-round-mini.xpm
#Name=Red Hat
#EOF
#
#	ln -sf ../../../etc/X11/applnk redhat
#	ln -sf ../gnome/apps gnome
#
#	popd
#}

# Nuke man2html - we get it from man
find $RPM_BUILD_ROOT -pkg "man2html*" |xargs rm -rf

# fix konsole /opt/kde hardcode
{
	pushd konsole/other
	perl -pi -e "s|/opt/kde|%{prefix}|g" *
	popd
}

{
	pushd $RPM_BUILD_ROOT
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{pkg}

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{pkg}

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{pkg}

	echo "%docdir %{prefix}/share/doc/kde" >> \
		$RPM_BUILD_DIR/file.list.%{pkg}

	popd
}

# install gdm session support
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/KDE2

# install the linux console fonts
#install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
#install -m 644 konsole/other/*.pcf.gz \
#	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%post
/sbin/ldconfig
#cd /usr/X11R6/lib/X11/fonts/misc && /usr/X11R6/bin/mkfontdir

%postun
/sbin/ldconfig
#if [ "$1" = "0" ]; then
#  cd /usr/X11R6/lib/X11/fonts/misc && /usr/X11R6/bin/mkfontdir
#fi

%files -f ../file.list.%{pkg} 
%defattr(-,root,root)
/etc/X11/gdm/Sessions/KDE2
#/usr/X11R6/lib/X11/fonts/misc/*


%changelog
* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the 3d-screensavers package - now that qt-GL is part of qt,
  there's no need to keep them separate to avoid the dependency.

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- fix gnome-session so that KDE2 can be started from gdm
- pam/kde2 instead pam/kde to avoid problem with KDE1
- don't requires qt-GL, It's now in qt

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- fix dependency problem with KDE1 so that KDE1 and KDE2 can be installed
  at the same time
- add missing ldconfig in %post anf %postun
- fix for reading config files in /etc/X11/xdm, add Xsession to requires

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix keytable in konsole (Bug #15682)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild, now that kdelibs2 works on alpha
- use the same ugly hack to get kdebase to compile
- remove ksysguard on alpha (even more compiler problems)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot (fixed libGL detection in CVS)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the --xdmdir arg to be correct (oops)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- move kdm config files from /usr/config to /etc/X11 by forcing xdmdir

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use new snapshot
- disable Motif

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch 3
- Update to current
- Use egcs++

* Fri Jun 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (I put the fixes directly to CVS rather than collecting them
  in the spec)

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove man2html; we get that from man
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now
- remove gnome .desktop file, we get it from gnome-core now.

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
